#include	<stdarg.h>

typedef	void	FILE;


#define SEEK_SET	0
#define SEEK_CUR	1
#define SEEK_END	2


extern	FILE	*stdin, *stdout, *stderr;

int	printf(char	*format, ...);
int	vfprintf(FILE	*f, char	*format, va_list	args);
int fprintf(FILE	*f, char	*format, ...);

char	*fgets(char	*buffer, int	len, FILE	*f);

int	fwrite(void	*ptr, int	a, int	b, FILE	*f);
int	fread(void	*ptr, int	a, int	b, FILE	*f);
FILE	*fopen(char	*path, char	*perm);
int	fclose(FILE	*f);

long int ftell(FILE *f);

long int fseek(FILE *f, int off, int mode);